<!--
  Generated template for the DarshanBookingPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
    <ion-navbar>
        <button ion-button menuToggle>
          <ion-icon name="menu"></ion-icon>
        </button>
        <ion-title>DarshanBooking</ion-title>
      </ion-navbar>
  

</ion-header>

<ion-content padding style="background-image:url('./assets/img/logo1.png');background-repeat: no-repeat;background-size: 100% 100%; ">

  <ion-list class="list-form" *ngIf="bookingInfo">
    <ion-item class="lines">
      <ion-label>Reference Type</ion-label>
      <ion-select interface="popover" type="text" name="referenceType" [(ngModel)]="payload.referenceType">
        <ion-option value="Self">Self</ion-option>
        <ion-option value="Referred">Referred To</ion-option>
      </ion-select>
    </ion-item>
    <div *ngIf="payload.referenceType == 'Referred' || payload.referenceType == 'Self'">
      <!-- <ion-item>
        <ion-input type="text" name="employeeName" [(ngModel)]="payload.employeeName" placeholder="Name"></ion-input>
      </ion-item>
      <ion-item>
        <ion-input type="text" name="employeeDesignation" [(ngModel)]="payload.employeeDesignation" placeholder="Designation"></ion-input>
      </ion-item>
      <ion-item>
        <ion-input type="text" name="employeePlaceOfWork" [(ngModel)]="payload.employeePlaceOfWork" placeholder="Location"></ion-input>
      </ion-item>
      <ion-item>
        <ion-input type="text" name="employeeEmail" [(ngModel)]="payload.employeeEmail" placeholder="Email"></ion-input>
      </ion-item>
      <ion-item>
        <ion-input type="tel" name="employeeMobileNumber" maxlength="10" [(ngModel)]="payload.employeeMobileNumber" placeholder="MobileNumber"></ion-input>
      </ion-item>-->
    </div>

    <div *ngIf="payload.referenceType == 'Referred'">

      <ion-item>
        <ion-input type="text" name="guestName" [(ngModel)]="payload.guestName" placeholder="Guest Name"></ion-input>
      </ion-item>


      <ion-item>
        <ion-input type="text" name="guestEmail" [(ngModel)]="payload.guestEmail" placeholder="Guest Email"></ion-input>
      </ion-item>

      <ion-item>
        <ion-input type="tel" name="guestMobileNumber" [(ngModel)]="payload.guestMobileNumber" placeholder="Guest Mobile Number" maxlength="10"></ion-input>
      </ion-item>

    </div>

    <ion-item class="date_input_field">
      <ion-label>From Date</ion-label>
      <ion-input type="date" name="darshandate" [(ngModel)]="payload.darshandate" class="date-line"></ion-input>
    </ion-item>

    <ion-item class="lines">
      <ion-label>Darshan Type</ion-label>
      <ion-select interface="popover" type="text" name="darshanType" [(ngModel)]="payload.darshanType">
        <ion-option value='VIP break Darshan'>VIP break</ion-option>
        <ion-option value='Kalyanam'>Kalyanam</ion-option>
        <ion-option value='Suprabatham'>Suprabatham</ion-option>
      </ion-select>
    </ion-item>

    <!-- table -->
    <ion-card class="custom-cards" *ngFor="let item of this.payload.guestsinfo;let i=index">
      <ion-row>
        <ion-col col-12 style="padding:0px!important;">
            <ion-item>Name : <strong>{{item.guestName}}</strong></ion-item>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col col-5 style="padding:0px!important;">
          
          <ion-item>Age : <strong>{{item.age}}</strong></ion-item>
          <ion-item>Gender : <strong>{{item.gender}}</strong></ion-item>
        </ion-col>
        <ion-col col-5>
          <ion-thumbnail item-start style="border: 1px solid lightgray; width: 120px;
          height: aut
          o;">
            <img src="{{item.IDProofUrl}}">
          </ion-thumbnail>

        </ion-col>
        <ion-col>
          <ion-icon name="trash" style="color:red; font-size: 18px; position: absolute;
          bottom: 4px;
          right: 16px;" (click)="removeGuestDetails(item,i)"></ion-icon>
        </ion-col>
      </ion-row>
    </ion-card>
    <!-- table -->


  </ion-list>

  <ion-list *ngIf="userInfo && !bookingInfo">
    <form #guest="ngForm">
      <div *ngIf="userInfo && !bookingInfo">

        <!-- <ion-card class="card custom-card"> -->
        <ion-row class="bg-color">


          <ion-item>

            <ion-input type="text" name="guestName" [(ngModel)]="guestsInformation.guestName" #guestName="ngModel" placeholder="Guest Name"
              required></ion-input>
          </ion-item>


          <ion-item>

            <ion-input type="tel" name="age" [(ngModel)]="guestsInformation.age" #age="ngModel" placeholder="Age" required></ion-input>
          </ion-item>


          <ion-item class="lines">
            <ion-label>Gender:</ion-label>
            <ion-select interface="popover" type="text" name="gender" [(ngModel)]="guestsInformation.gender" #gender="ngModel" required>
              <ion-option value='Male'>Male</ion-option>
              <ion-option value='Female'>Female</ion-option>
            </ion-select>
          </ion-item>
          <ion-item class="add_aadhar">
            <p>{{imageURI}}</p>
             <button ion-button color="primary" (click)="takePhoto(0)">Add Your Aadhar Card Image</button>
          </ion-item>
          <ion-item class="img_preview">
            <!-- <h4>Image Preview</h4> -->
            <ion-thumbnail item-start *ngIf="guestsInformation.IDProofUrl.length>0">
                <img [src]="guestsInformation.IDProofUrl">
              </ion-thumbnail> 
            <!-- <img src="{{guestsInformation.IDProofUrl}}" *ngIf="imageFileName" alt="Ionic File" width="300" /> -->
          </ion-item>
          <!-- <ion-item>
          <button ion-button (click)="uploadFile()" [disabled]="login.invalid" full color="dark">REGISTER</button>
        </ion-item> -->

        </ion-row>

        <!-- <img class="guest-button" (click)="selectGuestInfo()" src="assets/imgs/plus.png" /> -->
        <ion-row>
          <ion-col col-6>
            <button ion-button round class="savebtn" style="margin: 6% 2% 6% 5%;" (click)="addGuestDetails()" 
            [disabled]="guest.invalid">Add</button>
          </ion-col>
         
          <!-- <ion-col col-6 text-right>
          <button ion-button round class="savebtn" style="margin: 6% 0%;" (click)="goBack()">Verify</button>
        </ion-col> -->
          <!-- <button ion-button round class="savebtn" (click)="userDetails()">Next</button> -->
        </ion-row>
        <!-- </ion-card> -->
      </div>
    </form>
  </ion-list>

</ion-content>

<ion-footer class="footer-class" *ngIf="footerisVisible">
  <ion-row class="nextbtn">
    <ion-col col-5>
      <button ion-button block (click)="selectGuestInfoo()">Add Guest</button>
    </ion-col>
    <ion-col col-5>

      <button ion-button block style="margin-left: 0!important;" 
       (click)="booking()" [disabled]="!isVisible">Confirm Booking </button>
    </ion-col>
    <ion-col col-2>

    </ion-col>



  </ion-row>
</ion-footer>